## libtest-mockrandom-perl 1.01

=== debian/changelog ===
libtest-mockrandom-perl (1.01-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libtest-mockrandom-perl: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 18:34:04 +0100

libtest-mockrandom-perl (1.01-2) unstable; urgency=medium

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 28 Jun 2022 18:55:07 +0100

libtest-mockrandom-perl (1.01-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 29 Dec 2020 03:01:27 +0100

libtest-mockrandom-perl (1.01-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/watch: Update to ignore development releases.

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza).

  [ Salvatore Bonaccorso ]
  * debian/control: Changed: Replace versioned (build-)dependency on
    perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
    permitted by Debian Policy 3.8.3).

  [ gregor herrmann ]
  * debian/control: Changed: (build-)depend on perl instead of perl-
    modules.

  [ Salvatore Bonaccorso ]
  * Email change: Salvatore Bonaccorso -> carnil@debian.org

  [ gregor herrmann ]
  * Remove alternative (build) dependencies that are already satisfied
    in oldstable.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Axel Beckert ]
  * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
    copyright"

  [ Salvatore Bonaccorso ]
  * Imported Upstream version 1.01
  * Update copyright years for upstream files
  * Update copyright years for debian/* packaging files
  * Refresh License stanza for Apache-2.0.
    Drop use of X-Comment field.
    Refer to Debian systems in general instead of only Debian GNU/Linux
    systems.
  * Referesh License stanza for Artistic license.
    Drop use of X-Comment field.
    Refer to Debian systems in general instead of only Debian GNU/Linux
    systems.
  * Refresh License stanza for GPL-1+
    Drop use of X-Comment field.
    Refer to Debian systems in general instead of only Debian GNU/Linux
    systems.
    Explicitly refer to GPL-1 license text in /usr/share/common-licenses.
  * Bump Debhelper compat level to 8.
    Adjust versioned Build-Depends on debhelper to (>= 8).
  * Refresh docs to install to /usr/share/doc/libtest-mockrandom-perl.
    Don't install Todo (removed upstream) and install CONTRIBUTING into doc
    directory.
  * Declare compliance with Debian Policy 3.9.5
  * Convert package to '3.0 (quilt)' source package format

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 13 Feb 2014 07:24:50 +0100

libtest-mockrandom-perl (1.00-1) unstable; urgency=low

  * Initial Release (Closes: #531200).

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 31 May 2009 16:45:16 +0200
