=== debian/watch ===
version=4
https://metacpan.org/release/Test-MockRandom   .*/Test-MockRandom-v?@ANY_VERSION@@ARCHIVE_EXT@$
